Bug 187274 - Gajim hangs on dbus
Gajim hangs on dbus
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gajim (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dawid Gajownik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 13:16 EST by Stefan Plewako
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: gajim-0.9.1-3.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 10:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Whole debug (from --verbose) session (1.21 KB, text/plain)
2006-03-29 13:16 EST, Stefan Plewako
no flags Details

  None (edit)
Description Stefan Plewako 2006-03-29 13:16:58 EST
Description of problem:
Gajim hangs, UI works (is clickable) but no actions are performed.

Version-Release number of selected component (if applicable):
gajim-0.9.1-2.fc5 on i386 FC5 fresh install with fresh profile standard user.

How reproducible:
Always, just run Gajim and wait for a wail
Steps to Reproduce:
1.Run Gajim
2.Wait some time
3.Gajim will hang (usually within one hour)
  
Actual results:
Gajim hangs with error (form debug/verbose):

File "dbus_bindings.pyx", line 1012, in dbus_bindings.MessageIter.append_strict
File "dbus_bindings.pyx", line 1179, in dbus_bindings.MessageIter.append_string
AttributeError: 'Byte' object has no attribute 'encode'

Expected results:
Gajim will work at least for 48 hours witout hang.

Additional info:
Short debug (from --verbose) session in attachment; of course I can attach whole
,but it's huge and I guess that unimportant.
Comment 1 Stefan Plewako 2006-03-29 13:16:58 EST
Created attachment 127009 [details]
Whole debug (from --verbose) session
Comment 2 Dawid Gajownik 2006-03-29 18:45:31 EST
Would you be willing to test these packages → http://fedora.pl/~gajownik/gajim/
? I think that I've applied proper patch but I did not had time to test it
thoroughly, though.

Without this fix incoming message can crash gajim only if you have notify-daemon
in your system and chat window is closed.
Comment 3 Stefan Plewako 2006-03-30 08:34:28 EST
Of course I will test it with pleasure and I try to write smth about befor 10pm..
Comment 4 Stefan Plewako 2006-03-30 15:19:55 EST
For me works fine - over 6 hours without hang nor single error. Thx. :)

Note You need to log in before you can comment on or make changes to this bug.